| Home | Libraries | People | FAQ | More

## Macro BOOST_CONTRACT_AUDITS

BOOST_CONTRACT_AUDITS — Define this macro to evaluate and check audit assertions at run-time (undefined by default).

## Synopsis

    // In header: <boost/contract/core/config.hpp>

    BOOST_CONTRACT_AUDITS

## Description

Audit assertions and implementation checks programmed via `BOOST_CONTRACT_ASSERT_AUDIT` and `BOOST_CONTRACT_CHECK_AUDIT` are always compiled and validated syntactically. However, they are not evaluated and checked at run-time unless this macro is defined (because these conditions can be computationally expensive, at least compared to the computational cost of executing the function body).

See Also: Assertion Levels